<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'survey',

    /*
     * Package.
     */
    'package'   => 'organisation',

    /*
     * Modules.
     */
    'modules'   => ['employee'],

    
    'employee'       => [
        'model' => [
            'model'                 => \Survey\Organisation\Models\Employee::class,
            'table'                 => 'employees',
            'presenter'             => \Survey\Organisation\Repositories\Presenter\EmployeePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'file_id',  'manager_id',  'name',  'last_name',  'email',  'gender',  'job_type',  'contract_type',  'employee_id',  'grade',  'first_name',  'middle_name',  'designation',  'dob',  'doj',  'business_unit',  'division',  'department',  'location',  'city',  'state',  'manager_corp_id',  'manager_grade',  'manager_full_name',  'manager_name',  'manager_last_name',  'manager_first_name',  'manager_middle_name',  'manager_email',  'manager_manager_corp_id',  'manager_manager_last_name',  'manager_manager_first_name',  'manager_manager_middle_name',  'manager_manager_email',  'direct_manager',  'rollup1_manager',  'rollup2_manager',  'rollup3_manager',  'rollup4_manager',  'rollup5_manager',  'hrbp_name',  'contributor_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'organisation/employee',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Organisation',
            'module'    => 'Employee',
        ],

    ],
];
