<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEmployeesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: employees
         */
        Schema::create('employees', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('file_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('last_name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('gender', 50)->nullable();
            $table->string('job_type', 100)->nullable();
            $table->string('contract_type', 30)->nullable();
            $table->string('employee_id', 30)->nullable();
            $table->string('grade', 30)->nullable();
            $table->string('first_name', 50)->nullable();
            $table->string('middle_name', 50)->nullable();
            $table->string('designation', 100)->nullable();
            $table->date('dob')->nullable();
            $table->date('doj')->nullable();
            $table->string('business_unit', 100)->nullable();
            $table->string('division', 100)->nullable();
            $table->string('department', 100)->nullable();
            $table->string('location', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('state', 100)->nullable();
            $table->string('manager_corp_id', 30)->nullable();
            $table->string('manager_grade', 30)->nullable();
            $table->string('manager_full_name', 100)->nullable();
            $table->string('manager_name', 100)->nullable();
            $table->string('manager_last_name', 50)->nullable();
            $table->string('manager_first_name', 50)->nullable();
            $table->string('manager_middle_name', 50)->nullable();
            $table->string('manager_email', 100)->nullable();
            $table->string('manager_manager_corp_id', 30)->nullable();
            $table->string('manager_manager_last_name', 100)->nullable();
            $table->string('manager_manager_first_name', 50)->nullable();
            $table->string('manager_manager_middle_name', 30)->nullable();
            $table->string('manager_manager_email', 100)->nullable();
            $table->string('direct_manager', 100)->nullable();
            $table->string('rollup1_manager', 100)->nullable();
            $table->string('rollup2_manager', 100)->nullable();
            $table->string('rollup3_manager', 100)->nullable();
            $table->string('rollup4_manager', 100)->nullable();
            $table->string('rollup5_manager', 100)->nullable();
            $table->string('hrbp_name', 100)->nullable();
            $table->string('contributor_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('employees');
    }
}
