Lavalite package that provides organisation management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `survey/organisation`.

    "survey/organisation": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Survey\Organisation\Providers\OrganisationServiceProvider::class,

And also add it to alias

    'Organisation'  => Survey\Organisation\Facades\Organisation::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Survey\\OrganisationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Survey\Organisation\Providers\OrganisationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Survey\Organisation\Providers\OrganisationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Survey\Organisation\Providers\OrganisationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/organisation/{modulename}

**User**

    http://path-to-route-folder/user/organisation/{modulename}

**Public**

    http://path-to-route-folder/organisations


### API endpoints

**List**

    http://path-to-route-folder/api/user/organisation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/organisation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/organisation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/organisation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/organisation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/organisation/{modulename}/{slug}
    METHOD: GET