<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for employee in organisation package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  employee module in organisation package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Employee',
    'names'         => 'Employees',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Employees',
        'sub'   => 'Employees',
        'list'  => 'List of employees',
        'edit'  => 'Edit employee',
        'create'    => 'Create new employee'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company',
        'file_id'                    => 'Please enter file',
        'manager_id'                 => 'Please enter manager',
        'name'                       => 'Please enter name',
        'last_name'                  => 'Please enter last name',
        'email'                      => 'Please enter email',
        'gender'                     => 'Please enter gender',
        'job_type'                   => 'Please enter job type',
        'contract_type'              => 'Please enter contract type',
        'employee_id'                => 'Please enter employee id',
        'grade'                      => 'Please enter grade',
        'first_name'                 => 'Please enter first name',
        'middle_name'                => 'Please enter middle name',
        'designation'                => 'Please enter designation',
        'dob'                        => 'Please select dob',
        'doj'                        => 'Please select doj',
        'business_unit'              => 'Please enter business unit',
        'division'                   => 'Please enter division',
        'department'                 => 'Please enter department',
        'location'                   => 'Please enter location',
        'city'                       => 'Please enter city',
        'state'                      => 'Please enter state',
        'manager_corp_id'            => 'Please enter manager corp id',
        'manager_grade'              => 'Please enter manager grade',
        'manager_full_name'          => 'Please enter manager full name',
        'manager_name'               => 'Please enter manager name',
        'manager_last_name'          => 'Please enter manager last name',
        'manager_first_name'         => 'Please enter manager first name',
        'manager_middle_name'        => 'Please enter manager middle name',
        'manager_email'              => 'Please enter manager email',
        'manager_manager_corp_id'        => 'Please enter manager manager corp id',
        'manager_manager_last_name'        => 'Please enter manager manager last name',
        'manager_manager_first_name'        => 'Please enter manager manager first name',
        'manager_manager_middle_name'        => 'Please enter manager manager middle name',
        'manager_manager_email'        => 'Please enter manager manager email',
        'direct_manager'             => 'Please enter direct manager',
        'rollup1_manager'            => 'Please enter rollup1 manager',
        'rollup2_manager'            => 'Please enter rollup2 manager',
        'rollup3_manager'            => 'Please enter rollup3 manager',
        'rollup4_manager'            => 'Please enter rollup4 manager',
        'rollup5_manager'            => 'Please enter rollup5 manager',
        'hrbp_name'                  => 'Please enter hrbp name',
        'contributor_type'           => 'Please enter contributor type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company',
        'file_id'                    => 'File',
        'manager_id'                 => 'Manager',
        'name'                       => 'Employee Name with ID',
        'last_name'                  => 'Employee Last Name',
        'email'                      => 'Company Email ID',
        'gender'                     => 'Gender',
        'job_type'                   => 'Full Time Contract/ Permanent Employee',
        'contract_type'              => 'Contract type',
        'employee_id'                => 'Employee's Corp. ID',
        'grade'                      => 'Grade/Level',
        'first_name'                 => 'Employee First Name',
        'middle_name'                => 'Employee Middle Name',
        'designation'                => 'Employee Designation',
        'dob'                        => 'Age/DoB (DD/MM/YY)',
        'doj'                        => 'Date of Joining (DoJ) (DD/MM/YYYY)',
        'business_unit'              => 'Business Unitunit',
        'division'                   => 'Division',
        'department'                 => 'Function/ Department',
        'location'                   => 'Location',
        'city'                       => 'City',
        'state'                      => 'State',
        'manager_corp_id'            => 'Empl. Managers Corp. ID',
        'manager_grade'              => 'Empl. Managers Grade',
        'manager_full_name'          => 'Manager Full Name',
        'manager_name'               => 'Manager Name with ID',
        'manager_last_name'          => 'Empl. Managers Last Name',
        'manager_first_name'         => 'Empl. Managers First Name',
        'manager_middle_name'        => 'Empl. Managers Middle Namemiddle name',
        'manager_email'              => 'Empl. Managers Email id',
        'manager_manager_corp_id'        => 'Empl. Manager's Manager Corp. ID',
        'manager_manager_last_name'        => 'Empl. Manager's Manager Last Name',
        'manager_manager_first_name'        => 'Empl. Manager's Manager First Name',
        'manager_manager_middle_name'        => 'Empl. Manager's Manager Middle Name',
        'manager_manager_email'        => 'Empl. Managers Manager Email id',
        'direct_manager'             => 'Direct_Manager',
        'rollup1_manager'            => 'Rollup1 Manager',
        'rollup2_manager'            => 'Rollup2 Manager',
        'rollup3_manager'            => 'Rollup3 Manager',
        'rollup4_manager'            => 'Rollup4 Manager',
        'rollup5_manager'            => 'Rollup5 Manager',
        'hrbp_name'                  => 'HRBP Name',
        'contributor_type'           => 'Individual Contributor/People Manager',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company', 'data-column' => 1, 'checked'],
        'file_id'                    => ['name' => 'File', 'data-column' => 2, 'checked'],
        'manager_id'                 => ['name' => 'Manager', 'data-column' => 3, 'checked'],
        'name'                       => ['name' => 'Employee Name with ID', 'data-column' => 4, 'checked'],
        'last_name'                  => ['name' => 'Employee Last Name', 'data-column' => 5, 'checked'],
        'email'                      => ['name' => 'Company Email ID', 'data-column' => 6, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 7, 'checked'],
        'job_type'                   => ['name' => 'Full Time Contract/ Permanent Employee', 'data-column' => 8, 'checked'],
        'contract_type'              => ['name' => 'Contract type', 'data-column' => 9, 'checked'],
        'employee_id'                => ['name' => 'Employee&#039;s Corp. ID', 'data-column' => 10, 'checked'],
        'grade'                      => ['name' => 'Grade/Level', 'data-column' => 11, 'checked'],
        'first_name'                 => ['name' => 'Employee First Name', 'data-column' => 12, 'checked'],
        'middle_name'                => ['name' => 'Employee Middle Name', 'data-column' => 13, 'checked'],
        'designation'                => ['name' => 'Employee Designation', 'data-column' => 14, 'checked'],
        'dob'                        => ['name' => 'Age/DoB (DD/MM/YY)', 'data-column' => 15, 'checked'],
        'doj'                        => ['name' => 'Date of Joining (DoJ) (DD/MM/YYYY)', 'data-column' => 16, 'checked'],
        'business_unit'              => ['name' => 'Business Unitunit', 'data-column' => 17, 'checked'],
        'division'                   => ['name' => 'Division', 'data-column' => 18, 'checked'],
        'department'                 => ['name' => 'Function/ Department', 'data-column' => 19, 'checked'],
        'location'                   => ['name' => 'Location', 'data-column' => 20, 'checked'],
        'city'                       => ['name' => 'City', 'data-column' => 21, 'checked'],
        'state'                      => ['name' => 'State', 'data-column' => 22, 'checked'],
        'manager_corp_id'            => ['name' => 'Empl. Managers Corp. ID', 'data-column' => 23, 'checked'],
        'manager_grade'              => ['name' => 'Empl. Managers Grade', 'data-column' => 24, 'checked'],
        'manager_full_name'          => ['name' => 'Manager Full Name', 'data-column' => 25, 'checked'],
        'manager_name'               => ['name' => 'Manager Name with ID', 'data-column' => 26, 'checked'],
        'manager_last_name'          => ['name' => 'Empl. Managers Last Name', 'data-column' => 27, 'checked'],
        'manager_first_name'         => ['name' => 'Empl. Managers First Name', 'data-column' => 28, 'checked'],
        'manager_middle_name'        => ['name' => 'Empl. Managers Middle Namemiddle name', 'data-column' => 29, 'checked'],
        'manager_email'              => ['name' => 'Empl. Managers Email id', 'data-column' => 30, 'checked'],
        'manager_manager_corp_id'        => ['name' => 'Empl. Manager&#039;s Manager Corp. ID', 'data-column' => 31, 'checked'],
        'manager_manager_last_name'        => ['name' => 'Empl. Manager&#039;s Manager Last Name', 'data-column' => 32, 'checked'],
        'manager_manager_first_name'        => ['name' => 'Empl. Manager&#039;s Manager First Name', 'data-column' => 33, 'checked'],
        'manager_manager_middle_name'        => ['name' => 'Empl. Manager&#039;s Manager Middle Name', 'data-column' => 34, 'checked'],
        'manager_manager_email'        => ['name' => 'Empl. Managers Manager Email id', 'data-column' => 35, 'checked'],
        'direct_manager'             => ['name' => 'Direct_Manager', 'data-column' => 36, 'checked'],
        'rollup1_manager'            => ['name' => 'Rollup1 Manager', 'data-column' => 37, 'checked'],
        'rollup2_manager'            => ['name' => 'Rollup2 Manager', 'data-column' => 38, 'checked'],
        'rollup3_manager'            => ['name' => 'Rollup3 Manager', 'data-column' => 39, 'checked'],
        'rollup4_manager'            => ['name' => 'Rollup4 Manager', 'data-column' => 40, 'checked'],
        'rollup5_manager'            => ['name' => 'Rollup5 Manager', 'data-column' => 41, 'checked'],
        'hrbp_name'                  => ['name' => 'HRBP Name', 'data-column' => 42, 'checked'],
        'contributor_type'           => ['name' => 'Individual Contributor/People Manager', 'data-column' => 43, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Employees',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
