<?php

// API routes  for employee
Route::prefix('{guard}/organisation')->group(function () {
    Route::get('employee/form/{element}', 'EmployeeAPIController@form');
    Route::resource('employee', 'EmployeeAPIController');
});

// Public routes for employee
Route::get('organisations/', 'EmployeePublicController@index');
Route::get('organisations/{slug?}', 'EmployeePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for organisations
            Route::prefix('{guard}/organisation')->group(function () {
                Route::get('employee/form/{element}', 'EmployeeAPIController@form');
                Route::apiResource('employee', 'EmployeeAPIController');
            });
            // Public routes for organisations
            Route::get('organisation/Employee', 'EmployeePublicController@getEmployee');
        }
    );
}

