<?php

namespace Survey\Organisation;

use User;

class Organisation
{
    /**
     * $employee object.
     */
    protected $employee;

    /**
     * Constructor.
     */
    public function __construct(\Survey\Organisation\Interfaces\EmployeeRepositoryInterface $employee)
    {
        $this->employee = $employee;
    }

    /**
     * Returns count of organisation.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.employee.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->employee->pushCriteria(new \Litepie\Survey\Repositories\Criteria\EmployeeUserCriteria());
        }

        $employee = $this->employee->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('organisation::' . $view, compact('employee'))->render();
    }
}
