<?php

namespace Survey\Organisation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmployeeTransformer extends TransformerAbstract
{
    public function transform(\Survey\Organisation\Models\Employee $employee)
    {
        return [
            'id'                => $employee->getRouteKey(),
            'key'               => [
                'public'    => $employee->getPublicKey(),
                'route'     => $employee->getRouteKey(),
            ], 
            'company_id'        => $employee->company_id,
            'file_id'           => $employee->file_id,
            'manager_id'        => $employee->manager_id,
            'name'              => $employee->name,
            'last_name'         => $employee->last_name,
            'email'             => $employee->email,
            'gender'            => $employee->gender,
            'job_type'          => $employee->job_type,
            'contract_type'     => $employee->contract_type,
            'employee_id'       => $employee->employee_id,
            'grade'             => $employee->grade,
            'first_name'        => $employee->first_name,
            'middle_name'       => $employee->middle_name,
            'designation'       => $employee->designation,
            'dob'               => $employee->dob,
            'doj'               => $employee->doj,
            'business_unit'     => $employee->business_unit,
            'division'          => $employee->division,
            'department'        => $employee->department,
            'location'          => $employee->location,
            'city'              => $employee->city,
            'state'             => $employee->state,
            'manager_corp_id'   => $employee->manager_corp_id,
            'manager_grade'     => $employee->manager_grade,
            'manager_full_name' => $employee->manager_full_name,
            'manager_name'      => $employee->manager_name,
            'manager_last_name' => $employee->manager_last_name,
            'manager_first_name' => $employee->manager_first_name,
            'manager_middle_name' => $employee->manager_middle_name,
            'manager_email'     => $employee->manager_email,
            'manager_manager_corp_id' => $employee->manager_manager_corp_id,
            'manager_manager_last_name' => $employee->manager_manager_last_name,
            'manager_manager_first_name' => $employee->manager_manager_first_name,
            'manager_manager_middle_name' => $employee->manager_manager_middle_name,
            'manager_manager_email' => $employee->manager_manager_email,
            'direct_manager'    => $employee->direct_manager,
            'rollup1_manager'   => $employee->rollup1_manager,
            'rollup2_manager'   => $employee->rollup2_manager,
            'rollup3_manager'   => $employee->rollup3_manager,
            'rollup4_manager'   => $employee->rollup4_manager,
            'rollup5_manager'   => $employee->rollup5_manager,
            'hrbp_name'         => $employee->hrbp_name,
            'contributor_type'  => $employee->contributor_type,
            'deleted_at'        => $employee->deleted_at,
            'url'               => [
                'public'    => trans_url('organisation/'.$employee->getPublicKey()),
                'user'      => guard_url('organisation/employee/'.$employee->getRouteKey()),
            ], 
            'status'            => trans('app.'.$employee->status),
            'created_at'        => format_date($employee->created_at),
            'updated_at'        => format_date($employee->updated_at),
        ];
    }
}